package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.platform.bean.SysFile;

import java.util.List;

/**
 * @Description : 文件资源服务服务接口
 * @Reference :
 * @Author : yunhao
 * @Date : 2018-10-25 16:20
 * @Modify :
 **/
public interface ISysFileService {

    /**
     * 添加文件资源信息
     * @param sysFile
     */
    SysFile insertSysFile(SysFile sysFile);

    /**
     * 删除文件资源小新
     * @param id
     */
    void deleteSysFileById(Long id);

    /**
     * 修改文件资源信息
     * @param sysFile
     */
    void updateSysFile(SysFile sysFile);

    /**
     * 查询全部文件资源信息
     * @return
     */
    List<SysFile> listSysFile();

    /**
     * 根据id查询文件资源信息
     * @param id
     * @return
     */
    SysFile getSysFileById(Long id);

    /**
     * 文件资源查询，分页，排序
     * @param sysFile
     * @param pager
     * @return
     */
    ListPager querySysFileByPager(SysFile sysFile, Pager pager);

    /**
     * 批量删除文件资源
     * @param ids
     */
    void deleteSysFileByIds(Long[] ids);
}
